package vc.thinker.absctacts.protocolproxy.dto;

import vc.thinker.absctacts.protocolproxy.enums.ServiceExecuteResultType;

/**
 * 服务执行结果
 *
 * @author HeTongHao
 * @since 2021/7/9 17:08
 */
public interface IServiceExecuteResult {
    /**
     * 流水号id
     *
     * @return 流水号id
     */
    String getRequestId();

    /**
     * get结果类型
     *
     * @return 结果类型
     */
    ServiceExecuteResultType getType();

    /**
     * 消息
     *
     * @return 执行结果消息
     */
    String getMessage();
}
