package vc.thinker.mqtt.proxyclient.entity.up;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * 第三方代理上报对象
 *
 * @author HeTongHao
 * @since 2021/7/7 20:56
 */
@Data
@Accessors(chain = true)
@AllArgsConstructor
public class ThirdPartyProxyReport {
    /**
     * 协议类型编号
     */
    private String protocolType;
    /**
     * 数据列表
     */
    private List<MeterData> payload;
}
